Skip to main content
Update or create connection (requires the ROLE_MANAGE_CONNECTIONS privilege)

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

connectionId
string
required

Connection ID

Query Parameters

connectionTypeMatchingStrategy
enum<string>
default:BY_ID

Specify strategy parameter to find connectionType matching by specific attributes

Available options:
BY_ID,
BY_TYPE_AND_PARAMETERS
suppressWarnings
boolean
default:false

The response to this API endpoint may return a validation error with a list of problems. Each problem has a level (ERROR, WARNING). Passing suppressWarnings=true will suppress all warnings and the request will succeed if there are no errors

Body

application/vnd.composer.v3+json

Source connection with its features

name
string
required
Minimum string length: 1
type
string
required
subStorageType
string
required
id
string
accountId
string
creatingUserName
string
disabled
boolean
connectionTypeId
string
allParameters
object[]

A set of connection parameters containing both standard parameters, and those used by the system to provide stateless connections

folderId
string

Optional folder ID for organizing the connection within a project.

Example:

1111

Response

200 - application/vnd.composer.v3+json

OK

Source connection with its features

name
string
required
Minimum string length: 1
type
string
required
subStorageType
string
required
createdByUserID
string
read-only
lastModifiedByUserID
string
read-only
createdDate
string<date-time>
read-only
lastModifiedDate
string<date-time>
read-only
id
string
internal
boolean
read-only

Indicates whether a connection is managed internally by the system, for example flat files

accountId
string
creatingUserName
string
disabled
boolean
connectionTypeId
string
features
object[]
read-only

A collection of features supported by a connector supporting this connection

allParameters
object[]

A set of connection parameters containing both standard parameters, and those used by the system to provide stateless connections

originId
string
read-only

Id of the exported connection

projectId
string
read-only

Project ID where this connection is organized. This field is read-only and only.

Example:

2222

folderId
string

Optional folder ID for organizing the connection within a project.

Example:

1111